QGIS Application - Feature request #5249
No default Point geometry when creating a new Vector layer
2012-03-28 08:13 AM - Richard Duivenvoorde

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14983
Description

Several times | have created a new Point layer (after setting 10 attributes) while what | wanted was to create a Polygon layer.

It would be nice if the create Vector layer dialog NOT choose a default geometry type Point for me, but would just complain when | try to
create it without choosing one of the options.

ps this is an example of a PaperCut issue see https:/issues.qgis.org/projects/quantum-gis/wiki/OneHundredPaperCuts

History

#1 - 2012-04-15 10:22 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
